# $Revision: 1.13 $, $Date: 2010/03/15 09:56:32 $
Summary:	Graphical frontend to communicate with mobiles
Summary(pl.UTF-8):	Graficzny interfejs do komunikacji z urządzeniami przenośnymi
Name:		obextool
Version:	0.35
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/obextool/%{name}-%{version}.tar.gz
# Source0-md5:	4d225b365613fe88f49b3713d5c35136
URL:		http://www.tech-edv.co.at/programmierung/en/gplsw.html
Requires:	obexftp
Requires:	tcl
Requires:	tk-BWidget
Requires:	tklib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_packagedir	%{_datadir}/%{name}

%description
ObexTool is a graphical frontend to communicate with mobiles and other
devices capable of communicating via Obex Protocol.

%description -l pl.UTF-8
ObexTool to graficzny interfejs do komunikacji z urządzeniami
przenośnymi i innymi urządzeniami potrafiącymi komunikować się za
pomocą protokołu Obex.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_bindir},%{_packagedir},%{_desktopdir}}

cp -a etc/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -a * $RPM_BUILD_ROOT%{_packagedir}
rm -rf $RPM_BUILD_ROOT%{_packagedir}/{etc,doc}

cat > $RPM_BUILD_ROOT%{_bindir}/obextool << 'EOF'
#!/bin/sh
# ObexTool startup shell
#
MODEM="/dev/modem"
[ -n "$1" ] && MODEM="$1"
OBEXDIR=%{_packagedir}
OBEXTOOL_CFG=%{_sysconfdir}/obextool
OBEXTCMD="%{_bindir}/obexftp -t ${MODEM}"
export OBEXDIR OBEXTOOL_CFG OBEXTCMD
#
# Let's start the ObexTool without memory status
# feature (if no Siemens), using Tk version 8.4 and
# a specific configuration directory %{_sysconfdir}/obextool
# and the contributed static compiled obexftp version.
exec %{_bindir}/wish $OBEXDIR/obextool.tk --memstat 0
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/*
%{_packagedir}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.???
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.sh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: obextool.spec,v $
Revision 1.13  2010/03/15 09:56:32  amateja
- replaced R: tablelist with tklib
- release 2

Revision 1.12  2010/03/15 07:36:09  amateja
- updated to 0.35

Revision 1.11  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.9  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.8  2006/03/30 07:35:37  glen
- use exec

Revision 1.7  2006/03/30 07:34:53  glen
- when will people use 'EOF' instead of EOF, instead of quoting without a point

Revision 1.6  2006/03/30 07:28:42  arekm
- rel 1

Revision 1.5  2006/03/30 07:15:12  spider
- fix realese version

Revision 1.4  2006/03/30 06:45:11  arekm
- package files

Revision 1.3  2005/10/03 13:53:52  qboosh
- fixed md5

Revision 1.2  2005/10/03 13:53:05  qboosh
- pl

Revision 1.1  2005/09/23 21:56:26  blues
- spec needs finishing - raw unpacked - works
